#%global git_ver 817b780
Name:           skrooge
Version:        2.0.0
Release:        1
Summary:        A personal finances manager, powered by KDE
License:        GPLv2+
Url:            http://skrooge.org
Source:         http://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  grantlee-qt5-devel
BuildRequires:  qca-qt5-devel
BuildRequires:  libofx-devel
BuildRequires:  sqlite-devel
BuildRequires:  desktop-file-utils

BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtwebkit-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  qt5-qtscript-devel
BuildRequires:  qt5-qttools-devel

BuildRequires:  kf5-rpm-macros
BuildRequires:  kf5-filesystem
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-kactivities-devel
BuildRequires:  kf5-karchive-devel
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-kdelibs4support-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kitemviews-devel
BuildRequires:  kf5-kwidgetsaddons-devel
BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  kf5-kcompletion-devel
BuildRequires:  kf5-kdoctools-devel
BuildRequires:  kf5-kjobwidgets-devel
BuildRequires:  kf5-kconfigwidgets-devel
BuildRequires:  kf5-kdesignerplugin-devel
BuildRequires:  kf5-kiconthemes-devel
BuildRequires:  kf5-kio-devel
BuildRequires:  kf5-knewstuff-devel
BuildRequires:  kf5-knotifyconfig-devel
BuildRequires:  kf5-kparts-devel
BuildRequires:  kf5-krunner-devel
BuildRequires:  kf5-kwallet-devel
BuildRequires:  kf5-kxmlgui-devel


Requires:	%{name}-libs%{?_isa} = %{version}-%{release}
Requires:	grantlee-qt5

%description
%{summary}.

%package libs
Summary: Runtime libraries for %{name} 
Requires: %{name} = %{version}-%{release}
%description libs
%{summary}.

%package devel
Summary: Development files for %{name}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
%description devel
The %{name}-devel package contains libraries for
developing applications that use %{name}.


%prep
%setup -q 

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
%make_install -C %{_target_platform}
%find_lang %{name} --with-kde

%check
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.skrooge.desktop


%post libs
/sbin/ldconfig

%postun libs
/sbin/ldconfig


%post 
touch --no-create %{_kf5_datadir}/icons/hicolor &>/dev/null || :
touch --no-create %{_kf5_datadir}/mime ||:

%postun
if [ $1 -eq 0 ] ; then
	touch --no-create %{_kf5_datadir}/icons/hicolor &>/dev/null
	gtk-update-icon-cache %{_kf5_datadir}/icons/hicolor &>/dev/null || :
	update-desktop-database -q &> /dev/null
	touch --no-create %{_kf5_datadir}/mime ||:
	update-mime-database %{?fedora:-n} %{_kf5_datadir}/mime &> /dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_kf5_datadir}/icons &> /dev/null || :
update-desktop-database -q &> /dev/null
update-mime-database %{?fedora:-n} %{_kf5_datadir}/mime &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS CHANGELOG README TODO
%license COPYING
%dir %{_kf5_datadir}/skrooge/
%dir %{_kf5_datadir}/kxmlgui5/skg*
%dir %{_kf5_datadir}/kxmlgui5/skrooge*
%{_kf5_bindir}/skrooge
%{_kf5_bindir}/skroogeconvert
%{_kf5_datadir}/applications/org.kde.skrooge.desktop
%{_kf5_datadir}/appdata/skrooge.appdata.xml
%{_kf5_datadir}/config.kcfg/skg*.kcfg
%{_kf5_datadir}/icons/breeze*/actions/toolbar/*
%{_kf5_datadir}/icons/breeze/apps/software/skrooge.svgz
%{_kf5_datadir}/icons/breeze/mimetypes/file-types/application-x-skg*.svgz
%{_kf5_datadir}/icons/hicolor/*/*/*
%{_kf5_datadir}/knotifications5/skrooge.notifyrc
%{_kf5_datadir}/kservices5/org.kde.*.desktop
%{_kf5_datadir}/kservicetypes5/org.kde.*.desktop
%{_kf5_datadir}/kxmlgui5/skg*/*.rc
%{_kf5_datadir}/kxmlgui5/skrooge*/*.rc
%{_kf5_datadir}/mime/packages/x-skg.xml
%{_kf5_datadir}/skrooge/*
%{_kf5_datadir}/skrooge*.knsrc
%{_kf5_docdir}/HTML/*/skrooge


%files libs 
%{_kf5_libdir}/libskgbankgui.so.2*
%{_kf5_libdir}/libskgbankmodeler.so.2*
%{_kf5_libdir}/libskgbasegui.so.2*
%{_kf5_libdir}/libskgbasemodeler.so.2*
%{_kf5_qtplugindir}/grantlee/5.0/grantlee_skgfilters.so
%{_kf5_qtplugindir}/skg_*.so
%{_kf5_qtplugindir}/skrooge_*.so

%files devel
%{_kf5_libdir}/libskgbankgui.so
%{_kf5_libdir}/libskgbankmodeler.so
%{_kf5_libdir}/libskgbasegui.so
%{_kf5_libdir}/libskgbasemodeler.so


%changelog
* Thu Aug 20 2015 Rajeesh K V <rajeesh@inflo.ws> 2.0.0-1
- Initial KF5 build
